Adaption
std::list
Adaption for STL list objects.
Metafunctions

GetValue | Type for reading values.
IsContiguous | Determines whether a container stores its elements in a contiguous array.
Iterator | Type of iterator objects that are used to traverse the container.
Position | Type of an object that represents a position in a container.
Size | Type of an object that is suitable to hold size information.
StdContainerIterator | Returns type of the STL container iterator.
Value | Type of the items in the container.

Functions

appendValue | Appends a value to a container.
back | The last item in container.
begin | The begin of a container.
clear | Resets an object.
end | The end of a container.
front | The first item in container.
length | The number of items/characters.
prependValue | Prepend a value to a container.
reverse | Reverse an object/container in-place.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45